# $Revision: 1.15 $, $Date: 2008/10/18 10:06:04 $
Summary:	DCCM implementation for Windows Mobile 5 (and newer) devices
Summary(pl.UTF-8):	Implementacja DCCM dla urządzeń Windows Mobile 5 (i nowszych)
Name:		synce-odccm
Version:	0.12
Release:	2
License:	GPL v2+
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/synce/odccm-%{version}.tar.gz
# Source0-md5:	03c833e4adb5ec17d32ac338cf1a6d18
Source1:	odccm.init
URL:		http://synce.sourceforge.net/
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	glib2-devel >= 1:2.8
BuildRequires:	gnet-devel >= 2.0
BuildRequires:	hal-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	synce-libsynce-devel >= %{version}
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.0.10
%requires_eq_to	synce-libsynce synce-libsynce-devel
Conflicts:	synce-kde < 0.9.1-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
odccm maintains a connection to a WinCE device, responding to keep
alives and providing other members of the SynCE suite of tools with
details of the IP address and providing the ability to autorun scripts
upon connection.

%description -l pl.UTF-8
odccm utrzymuje połączenie z urządzeniem WinCE, odpowiadając na
zapytania "keep alive", udostępniając innym narzędziom z zestawu
SynCE szczegóły o adresie IP oraz zapewniając możliwość automatycznego
uruchamiania skryptów po połączeniu.

%prep
%setup -q -n odccm-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/odccm

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add odccm
%service odccm restart

%preun
if [ "$1" = "0" ]; then
	%service -q odccm stop
	/sbin/chkconfig --del odccm
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS README
/etc/dbus-1/system.d/odccm.conf
%attr(754,root,root) /etc/rc.d/init.d/odccm
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-odccm.spec,v $
Revision 1.15  2008/10/18 10:06:04  megabajt
- release 2

Revision 1.14  2008/09/16 10:23:00  patrys
- 0.12

Revision 1.13  2008/07/19 10:04:14  megabajt
- release 2

Revision 1.12  2008/06/23 21:39:34  qboosh
- updated pl

Revision 1.11  2008/05/16 19:32:21  wolvverine
- up to 0.11.1

Revision 1.10  2008-01-27 01:19:48  glen
- update to 0.11, update description from debian

Revision 1.9  2007-12-17 22:28:13  glen
- rel 7

Revision 1.8  2007-12-05 14:40:05  glen
- fixed initscript; rel 6

Revision 1.7  2007-10-10 16:38:39  qboosh
- killed invalid _sysconfdir usage

Revision 1.6  2007/09/22 11:59:42  glen
- install initscript; rel 5

Revision 1.5  2007/09/11 22:36:58  glen
- rel 4

Revision 1.4  2007/09/03 14:04:28  glen
- add initscript

Revision 1.3  2007/09/02 16:42:52  qboosh
- cleanup, pl
- License is GPL (v2+)

Revision 1.2  2007/08/29 00:08:31  glen
- install dbus config
- strict libsynce dep

Revision 1.1  2007/08/28 23:57:02  glen
- new, based on
  http://cvs.mandriva.com/cgi-bin/viewvc.cgi/contrib-SPECS/synce-odccm/synce-odccm.spec?revision=1.1
